Subject: Re: bug#4375: 23.1.50; can't kill killed gud buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 09 Sep 2009 10:41:08 -0400

> If the release of 23.2 is imminent then I could temporarily move
> gdb-ui.el back from EMACS_23_1_RC for the release.  It also has some
> new features, e.g. reverse debugging.

Even if it's not imminent, it's likely that when it will happen many
people will still be using older GDB releases.  So it'd be good to keep
the gdb-ui.el code for Emacs-23.2 (and include the new gdb-mi.el as
well).

BTW, as you probably already know, I really think that M-x gdb should Do
the Right Thing, whether gdb is run with --annotate=2, --annotate=3,
or -i=mi.  I.e. it should wait to see GDB's output and then decide based
on that output whether to use gdb-mi.el or gdb-ui.el or just gud.el.

> Is installing Gdb 7.0 not an option once it has been released?

I don't understand this question.

        Stefan